<?php
session_start();
include_once "inc/db_connect.php";
include_once "inc/fnc.php";
header('Content-Type: text/html;charset=utf8');
$err = "";
if(isset($_POST['regok'])){unset($_SESSION['reg_ok']);}
if(!isset($_SESSION['user'])){
	header("Location: index.php?");
	exit();
}else{
	$data_user = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `nick`='".$_SESSION['user']."'")) or die(mysql_error());
	if($data_user['status'] != "Гонщик" && $data_user['status'] != "VIP" && $data_user['status'] != "Помощник" && $data_user['status'] != "Турнирщик"){
		$adminka_a = "» <a href='adm_panel/index.php'>Админ панель</a>";
	}else{false;}
include 'head.php';
?>
<?php
if($data_user['carname'] == "Нет авто"){echo"
<div class='mono'><div class='newser'>
Добро пожаловать в мир AvtoGame.com<br>
Любишь гонки? Ты по адресу!<br>
Сейчас я все расскажу. Для начала тебе нужно купить машину. Иди в <a href='auto.php'><font color='indigo'><b>АВТОСАЛОН</font></b></a> и подбери авто по вкусу.<br>
Что дальше? Отправляйся прямо на гонки. Выиграй себе денег на более крутое авто.<br>
Скучно?Не хватает общения? Езжай в бар и выпей чего-нибудь. Там и бензин пополнить можно.<br>
Также можно подзаработать на конкурсах,но о них позже.<br>
Хватай баранку и гони во всю силу.
</div</div></div></div>
";}

if(isset($_POST['car'])){
	$id_carr = trim(mysql_real_escape_string($_POST['id_car']));
	$mycarsr = mysql_fetch_array(mysql_query("SELECT * FROM mycars WHERE id_user='".$data_user['id']."' AND id_car='".$id_carr."'"));
		if(mysql_result(mysql_query("SELECT COUNT(*) FROM `mycars` WHERE `id_car` = ".$id_carr.""),0)==0){
			false;
		}else{
			$rescarr = mysql_query("UPDATE users SET `car`='".$mycarsr['car']."',`carname`='".$mycarsr['carname']."',`speed`='".$mycarsr['speed']."' WHERE nick='".$_SESSION['user']."'") or die(mysql_error());
		if($rescarr == true){
			echo "<meta http-equiv='Refresh' content='0; URL=index.php?'>";
			exit();
		}
	}
}
if(isset($_SESSION['carokyes'])){
	echo "<img src='img/newavto.png' alt='.' />";
	unset($_SESSION['carokyes']);
}else{
	$nq = mysql_query("SELECT * FROM `news` ORDER BY `id`") or die(mysql_error());
	$newsq = mysql_fetch_assoc($nq);
	$countnews = mysql_num_rows($nq);
if($countnews == 0){
	false;
}else{
do{
	$msgnews = $newsq['msg'];
	$msgdate = $newsq['date'];
$newsqid = $newsq['id'];
echo "<center><div class='mono'><font color='#0769ad'><b>Новость</b>:</font><br><b><font color='a62629'>Срочная новость</b><br> $msgnews ".($data_user['dostup']==1?" <a href='/adm_panel/index.php?del=$newsqid'></font><b>[X]</b></a>":null)."</div></center>";
if($data_user['status'] != "Гонщик" && $data_user['status'] != "VIP" && $data_user['status'] != "Модератор" && $data_user['status'] != "Админ"){
}
}while($newsq = mysql_fetch_assoc($nq));
}
}
?>
<div class="title">Гараж</div>
<div class='menu'>
<a href="/status.php"><div class="boldtext"><b>Ваш статус</b></div></a>: <?=$data_user['mystatus']?>
</div>
<div class='menu'>
Авто:<div class="boldtext"><b><?=$data_user['carname']?></b></div>
</div>
<div class="mono">
	<img src="<?=$data_user['car']?>" alt="<?=$data_user['carname']?>" />
</div>
<div class="mono">
<div class="newser">
<span style="float:right">
<a href="<?=$data_user['avatar']?>"><img src='<?=$data_user['avatar']?>' width='60' height='60' alt='' style='padding:0;border-radius:56px;-moz-border-radius:56px;-webkit-border-radius:56px;-khtml-border-radius:56px;'/></a></span><br/>
	<img src="/img/money.png" alt="Баксы" /> Серебро: <div class="boldtext"><b> <?=$data_user['money']?></b></div><br />
<img src="/img/money2.png" alt="Золото" /> Золото: <div class="boldtext"><b> <?=$data_user['money2']?></b></div><br />
<img src="/img/hp-ico.png" alt="Тур. очки" /> Тур. очки: <div class="boldtext"><b> <?=$data_user['turnirnie']?></b></div><br />
	<img src="/img/speed.png" alt="Скорость" /> Мощность: <div class="boldtext"><b> <?=$data_user['speed']?> л.с </b></div><br />
	<img src="/img/raiting.png" alt="Рейтинг" /> Рейтинг: <div class="boldtext"><b><?=$data_user['raiting']?></b></div><br />
	<img src="/img/level.png" alt="Уровень" /> Уровень: <div class="boldtext"><b><?=$data_user['level']?></b></div><br />
	<img src="/img/level.png" alt="Опыт" /> Опыт: <div class="boldtext"><b><?=$data_user['opit']?>/<?=$swleveln?></b></div> <font color='Brown'><?=$levelimg;?>%</font><br />
	</div>

</div>
<div class="title">Управление:</div>
<table class="wdt bgum">
<tr>
<td><a href="?upgrade"><img src="style/<?=$data_user['theme']?>/icon/upgarde.png" alt="Улучшение" title="Улучшить" width="30" height="30"/></td>
<td><a href="?auto"><img src="style/<?=$data_user['theme']?>/icon/avto.png" alt="Авто" title="Мои авто" width="30" height="30"/></td>
<td><a href="bar.php"><img src="style/<?=$data_user['theme']?>/icon/bar.png" alt="Бар" title="Бар" width="30" height="30"/></td>
<td><a href="turnir.php"><img src="style/<?=$data_user['theme']?>/icon/tur.png" alt="Турнир" title="Турнир" width="30" height="30"/></a></td>
</tr>
</table>
<div class="mono"><img src="/img/mail.png" alt="Почта"  width="16" height="16" /> <a href="mail.php"><font color='#f01309'><b>Моя почта</b></font><a/></div>
<?php
if($adminka_a){
	echo "<div class='menu'>" , $adminka_a , "</div>";
}
if($data_user['dostup']==1) echo "<div class='menu'>» <a href='/razd.php'>Выдать монеты</a></div>";
if($data_user['dostup']==1) echo "<div class='menu'>» <a href='/rank.php'>Должность</a></div>";
if($data_user['status'] != "Гонщик" && $data_user['status'] != "VIP" && $data_user['status'] != "Помощник" && $data_user['status'] != "Турнирщик") echo "<div class='menu'>» <a href='/ban.php'>Забанить</a></div>";
if($data_user['status'] != "Гонщик" && $data_user['status'] != "VIP" && $data_user['status'] != "Помощник") echo "<div class='menu'>» <a href='/tur_panel/index.php'>Турнир Панель</a></div>";
if(isset($_GET['auto'])){
	$sql23 = mysql_query("SELECT * FROM mycars WHERE id_user='".$data_user['id']."'") or die(mysql_error());
	$mycars2 = mysql_fetch_array($sql23);
	$counavto = mysql_num_rows($sql23);
if($counavto == 0){
	echo "<div class='err'><font color='#fff'><b>Нет авто!</b></font></div>";
}else{
echo "<p style='padding:5px;font-weight:700;margin:0;background:#6e00ab;color:#fff;text-align:left;'>Мои авто</p>";
do{
	echo "<table class='wdt mono'>
	<tr>
		<td>
		<center><img src='".$mycars2['car']."' alt='".$mycars2['carname']."' width='210' align='left'/><br /><br />
		Авто: <font color='#000'><b>".$mycars2['carname']."</b></font><br/>
		<font color='#000'><b>".$mycars2['speed']." л.с</b></font>
		</center>
		</td>
	</tr>
	<tr>
		<td><form action='' method='post'>
		<center>
		<input type='hidden' class='btn' name='id_car' value='".$mycars2['id_car']."'>
		<input type='submit' class='btn' name='car' value='Пересесть'>
		</center>
		</form></td>
	</tr>
	</table>";
}while($mycars2 = mysql_fetch_array($sql23));
}
}
if(isset($_GET['upgrade'])){

	$sql23 = mysql_query("SELECT * FROM mycars WHERE id_user='".$data_user['id']."' and `car` = '$data_user[car]'") or die(mysql_error());
	$mycars2 = mysql_fetch_array($sql23);

# ФУНКЦИИ #

// Шины: Получем + л.с за каждый уровень: $l = Уровень; $result = Колличество л.с
function up_1($l){
     if($l == 1){
	     $result = 6;
	 } elseif($l == 2) {
	     $result = 8;
	 } elseif($l == 3) {
	     $result = 4;
	 } elseif($l == 4) {
	     $result = 9;
	 } elseif($l == 5) {
	     $result = 7;
	 } elseif($l == 6) {
	     $result = 5;
	 } elseif($l == 7) {
	     $result = 9;
	 } elseif($l == 8) {
	     $result = 6;
	 } elseif($l == 9) {
	     $result = 12;
	 } elseif($l == 10) {
	     $result = 7;
	 }
	 return $result;
}
// Цена за Шины:  $l = Уровень; $result = Колличество бабоса/ до $l = 5 идет серебр а потом золото
function p_1($l){
     if($l == 1){
	     $result = 5600;
	 } elseif($l == 2) {
	     $result = 7200;
	 } elseif($l == 3) {
	     $result = 7600;
	 } elseif($l == 4) {
	     $result = 8400;
	 } elseif($l == 5) {
$result = 25;
	 } elseif($l == 6) {
	     $result = 5;
	 } elseif($l == 7) {
	     $result = 10;
	 } elseif($l == 8) {
	     $result = 14;
	 } elseif($l == 9) {
	     $result = 25;
	 } elseif($l == 10) {
	     $result = 18;
	 }
	 return $result;
}
// Цена за трансмиссию:  $l = Уровень; $result = Колличество бабоса/ до $l = 5 идет серебр а потом золото
function p_2($l){
     if($l == 1){
	     $result = 5600;
	 } elseif($l == 2) {
	     $result = 7200;
	 } elseif($l == 3) {
	     $result = 7600;
	 } elseif($l == 4) {
	     $result = 8400;
	 } elseif($l == 5) {
$result = 28;
	 } elseif($l == 6) {
	     $result = 5;
	 } elseif($l == 7) {
	     $result = 10;
	 } elseif($l == 8) {
	     $result = 14;
	 } elseif($l == 9) {
	     $result = 25;
	 } elseif($l == 10) {
	     $result = 18;
	 }
	 return $result;
}

// Цена за Поршни:  $l = Уровень; $result = Колличество бабоса/ до $l = 5 идет серебр а потом золото
function p_3($l){
     if($l == 1){
	     $result = 5600;
	 } elseif($l == 2) {
	     $result = 7200;
	 } elseif($l == 3) {
	     $result = 7600;
	 } elseif($l == 4) {
	     $result = 8400;
	 } elseif($l == 5) {
$result = 23;
	 } elseif($l == 6) {
	     $result = 5;
	 } elseif($l == 7) {
	     $result = 10;
	 } elseif($l == 8) {
	     $result = 14;
	 } elseif($l == 9) {
	     $result = 25;
	 } elseif($l == 10) {
	     $result = 18;
	 }
	 return $result;
}

// Цена за Тормоза:  $l = Уровень; $result = Колличество бабоса/ до $l = 5 идет серебр а потом золото
function p_4($l){
     if($l == 1){
	     $result = 5600;
	 } elseif($l == 2) {
	     $result = 7200;
	 } elseif($l == 3) {
	     $result = 7600;
	 } elseif($l == 4) {
	     $result = 8400;
	 } elseif($l == 5) {
$result = 26;
	 } elseif($l == 6) {
	     $result = 5;
	 } elseif($l == 7) {
	     $result = 10;
	 } elseif($l == 8) {
	     $result = 14;
	 } elseif($l == 9) {
	     $result = 25;
	 } elseif($l == 10) {
	     $result = 18;
	 }
	 return $result;
}
// Трасмиссия: Получем + л.с за каждый уровень: $l = Уровень; $result = Колличество л.с
function up_2($l){
     if($l == 1){
	     $result = 5;
	 } elseif($l == 2) {
	     $result = 10;
	 } elseif($l == 3) {
	     $result = 15;
	 } elseif($l == 4) {
	     $result = 20;
	 } elseif($l == 5) {
	     $result = 25;
	 } elseif($l == 6) {
	     $result = 30;
	 } elseif($l == 7) {
	     $result = 35;
	 } elseif($l == 8) {
	     $result = 40;
	 } elseif($l == 9) {
	     $result = 45;
	 } elseif($l == 10) {
	     $result = 50;
	 }
	 return $result;
}
// Поршни: Получем + л.с за каждый уровень: $l = Уровень; $result = Колличество л.с
function up_3($l){
     if($l == 1){
	     $result = 6;
	 } elseif($l == 2) {
	     $result = 12;
	 } elseif($l == 3) {
	     $result = 18;
	 } elseif($l == 4) {
	     $result = 24;
	 } elseif($l == 5) {
	     $result = 30;
	 } elseif($l == 6) {
	     $result = 36;
	 } elseif($l == 7) {
	     $result = 42;
	 } elseif($l == 8) {
	     $result = 48;
	 } elseif($l == 9) {
	     $result = 54;
	 } elseif($l == 10) {
	     $result = 60;
	 }
	 return $result;
}
// Тормоза: Получем + л.с за каждый уровень: $l = Уровень; $result = Колличество л.с
function up_4($l){
     if($l == 1){
	     $result = 4;
	 } elseif($l == 2) {
	     $result = 8;
	 } elseif($l == 3) {
	     $result = 12;
	 } elseif($l == 4) {
	     $result = 16;
	 } elseif($l == 5) {
	     $result = 20;
	 } elseif($l == 6) {
	     $result = 24;
	 } elseif($l == 7) {
	     $result = 28;
	 } elseif($l == 8) {
	     $result = 32;
	 } elseif($l == 9) {
	     $result = 36;
	 } elseif($l == 10) {
	     $result = 40;
	 }
	 return $result;
}
# Обработка #
// Учулаем шины
if(isset($_GET['t1'])){
     if($mycars2['tun_1_lev'] == 10){
	     echo "Прокачано на масимум<br/>";
	 } else {
	     if($mycars2['tun_1_lev'] >= 5){
		     if($data_user['money2']  < p_1($mycars2['tun_1_lev'])){
			     echo "Недостаточно средств<br/>";
				 $b = 0;
			 } else {
			     $b = 1;
			 }
		 } else {
		     if($data_user['money']  < p_1($mycars2['tun_1_lev'])){
			     echo "Недостаточно средств 1<br/>";
				 $b = 3;
			 } else {
			     $b = 4;
			 }
		 }
		 
		 // Покупка и упргейд
		     // Снимаем бабос
		   if($b == 1){
		         mysql_query("update `users` set `money2` = `money2` - '".p_1($mycars2['tun_1_lev'])."' where `id` = '$data_user[id]'");
			} elseif($b == 4) {
			     mysql_query("update `users` set `money` = `money` - '".p_1($mycars2['tun_1_lev'])."' where `id` = '$data_user[id]'");
			}
			     // добавляем лс
			if($b == 1 or $b == 4){
			     mysql_query("update `users` set `speed` = `speed` + '".up_1($mycars2['tun_1_lev'])."' where `id` = '$data_user[id]'");
				 mysql_query("update `mycars` set `speed` = `speed` + '".up_1($mycars2['tun_1_lev'])."', `tun_1_lev` = `tun_1_lev` + '1' where `id_car` = '$mycars2[id_car]' and  `id_user` = '$data_user[id]'");
				 header("location: ?upgrade");
			}
	 }
}
// Учулаем трансмиссию
if(isset($_GET['t2'])){
     if($mycars2['tun_2_lev'] == 10){
	     echo "Прокачано на масимум<br/>";
	 } else {
	     if($mycars2['tun_2_lev'] >= 5){
		     if($data_user['money2']  < p_2($mycars2['tun_2_lev'])){
			     echo "Недостаточно средств<br/>";
				 $b = 0;
			 } else {
			     $b = 1;
			 }
		 } else {
		     if($data_user['money']  < p_2($mycars2['tun_2_lev'])){
			     echo "Недостаточно средств 1<br/>";
				 $b = 3;
			 } else {
			     $b = 4;
			 }
		 }
		 
		 // Покупка и упргейд
		     // Снимаем бабос
		   if($b == 1){
		         mysql_query("update `users` set `money2` = `money2` - '".p_2($mycars2['tun_2_lev'])."' where `id` = '$data_user[id]'");
			} elseif($b == 4) {
			     mysql_query("update `users` set `money` = `money` - '".p_2($mycars2['tun_2_lev'])."' where `id` = '$data_user[id]'");
			}
			     // добавляем лс
			if($b == 1 or $b == 4){
			     mysql_query("update `users` set `speed` = `speed` + '".up_2($mycars2['tun_2_lev'])."' where `id` = '$data_user[id]'");
				 mysql_query("update `mycars` set `speed` = `speed` + '".up_2($mycars2['tun_2_lev'])."', `tun_2_lev` = `tun_2_lev` + '1' where `id_car` = '$mycars2[id_car]' and `id_user` = '$data_user[id]'");
				 header("location: ?upgrade");
			}
	 }
}
// Учулаем поршни
if(isset($_GET['t3'])){
     if($mycars2['tun_3_lev'] == 10){
	     echo "Прокачано на масимум<br/>";
	 } else {
	     if($mycars2['tun_3_lev'] >= 5){
		     if($data_user['money2']  < p_3($mycars2['tun_3_lev'])){
			     echo "Недостаточно средств<br/>";
				 $b = 0;
			 } else {
			     $b = 1;
			 }
		 } else {
		     if($data_user['money']  < p_3($mycars2['tun_3_lev'])){
			     echo "Недостаточно средств 1<br/>";
				 $b = 3;
			 } else {
			     $b = 4;
			 }
		 }
		 
		 // Покупка и упргейд
		     // Снимаем бабос
		   if($b == 1){
		         mysql_query("update `users` set `money2` = `money2` - '".p_3($mycars2['tun_3_lev'])."' where `id` = '$data_user[id]'");
			} elseif($b == 4) {
			     mysql_query("update `users` set `money` = `money` - '".p_3($mycars2['tun_3_lev'])."' where `id` = '$data_user[id]'");
			}
			     // добавляем лс
			if($b == 1 or $b == 4){
			     mysql_query("update `users` set `speed` = `speed` + '".up_3($mycars2['tun_3_lev'])."' where `id` = '$data_user[id]'");
				 mysql_query("update `mycars` set `speed` = `speed` + '".up_3($mycars2['tun_3_lev'])."', `tun_3_lev` = `tun_3_lev` + '1' where `id_car` = '$mycars2[id_car]' and `id_user` = '$data_user[id]'");
				 header("location: ?upgrade");
			}
	 }
}
// Учулаем тормоза
if(isset($_GET['t4'])){
     if($mycars2['tun_4_lev'] == 10){
	     echo "Прокачано на масимум<br/>";
	 } else {
	     if($mycars2['tun_4_lev'] >= 5){
		     if($data_user['money2']  < p_4($mycars2['tun_4_lev'])){
			     echo "Недостаточно средств<br/>";
				 $b = 0;
			 } else {
			     $b = 1;
			 }
		 } else {
		     if($data_user['money']  < p_4($mycars2['tun_4_lev'])){
			     echo "Недостаточно средств 1<br/>";
				 $b = 3;
			 } else {
			     $b = 4;
			 }
		 }
		 
		 // Покупка и упргейд
		     // Снимаем бабос
		   if($b == 1){
		         mysql_query("update `users` set `money2` = `money2` - '".p_4($mycars2['tun_4_lev'])."' where `id` = '$data_user[id]'");
			} elseif($b == 4) {
			     mysql_query("update `users` set `money` = `money` - '".p_4($mycars2['tun_4_lev'])."' where `id` = '$data_user[id]'");
			}
			     // добавляем лс
			if($b == 1 or $b == 4){
			     mysql_query("update `users` set `speed` = `speed` + '".up_4($mycars2['tun_4_lev'])."' where `id` = '$data_user[id]'");
				 mysql_query("update `mycars` set `speed` = `speed` + '".up_4($mycars2['tun_4_lev'])."', `tun_4_lev` = `tun_4_lev` + '1' where `id_car` = '$mycars2[id_car]' and `id_user` = '$data_user[id]'");
				 header("location: ?upgrade");
			}
	 }
}
# Интерфейс #

	echo "<div class='mono'>
	<table>
	     <tr>
		 <td><img src='/img/shina.png' alt=''/><br/>
		 $mycars2[tun_1_lev] ур.
		 </td>
		 <td>
		 <b>Шины</b><br/>
		 <img src='/img/speed.png' alt=''/> + ".up_1($mycars2['tun_1_lev'])." л.с<br/>
		 <img src='/img/money".($mycars2['tun_1_lev'] >= 5 ? 2: NULL).".png' alt=''/> ".p_1($mycars2['tun_1_lev'])." ".($mycars2['tun_1_lev'] >= 5 ? "Золота": "Серебра")."<br/>
		 <a href='?upgrade&t1'><input type='submit' value='Улучшить' class='btn2' /></a>
		 </div>
		 </td>
		 </tr>
		 
		 
	     <tr>
		 <td><img src='/img/trans.png' alt=''/><br/>
		 $mycars2[tun_2_lev] ур.
		 </td>
		 <td>
		 <b>Трансмиссия</b><br/>
		 <img src='/img/speed.png' alt=''/> + ".up_2($mycars2['tun_2_lev'])." л.с<br/>
		 <img src='/img/money".($mycars2['tun_2_lev'] >= 5 ? 2: NULL).".png' alt=''/> ".p_2($mycars2['tun_2_lev'])." ".($mycars2['tun_2_lev'] >= 5 ? "Золота": "Серебра")."<br/>
		 <a href='?upgrade&t2'><input type='submit' value='Улучшить' class='btn2' /></a>
		 </td>
		 </tr>
		 
		 
	     <tr>
		 <td><img src='/img/porshni.png' alt=''/><br/>
		 $mycars2[tun_3_lev] ур.
		 </td>
		 <td>
		 <b>Поршни</b><br/>
		 <img src='/img/speed.png' alt=''/> + ".up_3($mycars2['tun_3_lev'])." л.с<br/>
		 <img src='/img/money".($mycars2['tun_3_lev'] >= 5 ? 2: NULL).".png' alt=''/> ".p_3($mycars2['tun_3_lev'])." ".($mycars2['tun_2_lev'] >= 5 ? "Золота": "Серебра")."<br/>
		 <a href='?upgrade&t3'><input type='submit' value='Улучшить' class='btn2' /></a>
		 </td>
		 </tr>
		 
		 
	     <tr>
		 <td><img src='/img/tormoza.png' alt=''/><br/>
		 $mycars2[tun_4_lev] ур.
		 </td>
		 <td>
		 <b>Тормоза</b><br/>
		 <img src='/img/speed.png' alt=''/> + ".up_4($mycars2['tun_4_lev'])." л.с<br/>
		 <img src='/img/money".($mycars2['tun_4_lev'] >= 5 ? 2: NULL).".png' alt=''/> ".p_4($mycars2['tun_4_lev'])." ".($mycars2['tun_2_lev'] >= 5 ? "Золота": "Серебра")."<br/>
		 <a href='?upgrade&t4'><input type='submit' value='Улучшить' class='btn2' /></a>
		 </td>
		 </tr>
	</table>
	";
	     
	echo "</div>";
}
function online () {
$ip=getenv("HTTP_X_FORWARDED_FOR");
if (empty($ip) || $ip=='unknown') { $ip=getenv("REMOTE_ADDR"); }
# уд. старые сессии
mysql_query ("DELETE FROM online WHERE UNIX_TIMESTAMP() - UNIX_TIMESTAMP(time) > 300") or die ("Can't delete old sess");

# проверка на присутстаие или занесение нового пользователя
$select = mysql_query ("SELECT ip FROM online WHERE ip='$ip'") or die ("Can't select duble");
$tmp = mysql_fetch_row ($select);
if ($ip == $tmp[0]) {
mysql_query ("UPDATE online SET time=NOW() WHERE ip='$ip'") or die ("Can't update");
} else {
mysql_query ("INSERT INTO online (ip,time) VALUES ('$ip',NOW())") or die ("Can't insert");
}
# считывание результатов
$select = mysql_query ("SELECT COUNT(*) FROM online") or die ("Can't select result");
$tmp = mysql_fetch_row ($select);
$result = $tmp[0];

return $result;
}
}
include 'foot.php';
?>